# ironicclient.v1.conductor module

class ironicclient.v1.conductor.Conductor(manager: BaseManager, info: dict[str, Any], loaded: bool = False)

  Bases: `Resource`

class ironicclient.v1.conductor.ConductorManager(api)

  Bases: `Manager`

  get(hostname, fields=None, os_ironic_api_version=None, global_request_id=None)
  list(marker=None, limit=None, sort_key=None, sort_dir=None, fields=None, detail=False, os_ironic_api_version=None, global_request_id=None)

    Retrieve a list of conductors.

    Parameters:

      - marker – Optional, the hostname of a conductor, eg the last conductor from a previous result set. Return the next result set.

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of ports to return.

        2. limit == 0, return the entire list of ports.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Ironic API (see Ironic’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - fields – Optional, a list with a specified set of fields of the resource to be returned. Can not be used when ‘detail’ is set.

      - detail – Optional, boolean whether to return detailed information about conductors.

      - os_ironic_api_version – String version (e.g. “1.35”) to use for the request. If not specified, the client’s default is used.

      - global_request_id – String containing global request ID header value (in form “req-<UUID>”) to use for the request.

    Returns:

      A list of conductors.

  resource_class

    alias of `Conductor`

this page last updated: 2026-02-27 11:39:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug